Update Evaluation
curl --request PUT \
--url https://api.primeintellect.ai/api/v1/evaluations/{evaluation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": {},
"metrics": {},
"model_name": "<string>",
"dataset": "<string>",
"framework": "<string>",
"task_type": "<string>",
"inference_model": "<string>",
"eval_config": {
"num_examples": 4503599627370495,
"rollouts_per_example": 1024,
"env_args": {},
"allow_sandbox_access": true,
"allow_instances_access": false,
"allow_tunnel_access": true,
"timeout_minutes": 123,
"custom_secrets": {},
"sampling_args": {},
"max_concurrent": 4503599627370496,
"auto_max_concurrent": false,
"max_retries": 4503599627370495,
"state_columns": [
"<string>"
],
"independent_scoring": false,
"verbose": false,
"headers": [
"<string>"
],
"extra_env_kwargs": {},
"api_client_type": "<string>",
"api_base_url": "<string>",
"api_key_var": "<string>"
},
"is_public": true,
"show_on_leaderboard": true
}
'import requests
url = "https://api.primeintellect.ai/api/v1/evaluations/{evaluation_id}"
payload = {
"name": "<string>",
"description": "<string>",
"tags": ["<string>"],
"metadata": {},
"metrics": {},
"model_name": "<string>",
"dataset": "<string>",
"framework": "<string>",
"task_type": "<string>",
"inference_model": "<string>",
"eval_config": {
"num_examples": 4503599627370495,
"rollouts_per_example": 1024,
"env_args": {},
"allow_sandbox_access": True,
"allow_instances_access": False,
"allow_tunnel_access": True,
"timeout_minutes": 123,
"custom_secrets": {},
"sampling_args": {},
"max_concurrent": 4503599627370496,
"auto_max_concurrent": False,
"max_retries": 4503599627370495,
"state_columns": ["<string>"],
"independent_scoring": False,
"verbose": False,
"headers": ["<string>"],
"extra_env_kwargs": {},
"api_client_type": "<string>",
"api_base_url": "<string>",
"api_key_var": "<string>"
},
"is_public": True,
"show_on_leaderboard": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
tags: ['<string>'],
metadata: {},
metrics: {},
model_name: '<string>',
dataset: '<string>',
framework: '<string>',
task_type: '<string>',
inference_model: '<string>',
eval_config: {
num_examples: 4503599627370495,
rollouts_per_example: 1024,
env_args: {},
allow_sandbox_access: true,
allow_instances_access: false,
allow_tunnel_access: true,
timeout_minutes: 123,
custom_secrets: {},
sampling_args: {},
max_concurrent: 4503599627370496,
auto_max_concurrent: false,
max_retries: 4503599627370495,
state_columns: ['<string>'],
independent_scoring: false,
verbose: false,
headers: ['<string>'],
extra_env_kwargs: {},
api_client_type: '<string>',
api_base_url: '<string>',
api_key_var: '<string>'
},
is_public: true,
show_on_leaderboard: true
})
};
fetch('https://api.primeintellect.ai/api/v1/evaluations/{evaluation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation_id": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}evals
Update Evaluation
Update an existing evaluation
PUT
/
api
/
v1
/
evaluations
/
{evaluation_id}
Update Evaluation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request to update an existing evaluation
Name of the evaluation
Description of the evaluation
Tags for categorization
Additional metadata
High-level metrics summary
Model name
Dataset name
Framework used
Type of task
Prime Inference model ID
Hosted evaluation configuration
Show child attributes
Show child attributes
Whether the evaluation is publicly shareable by link; setting true without show_on_leaderboard keeps it off leaderboards by default
Whether this public evaluation appears on environment leaderboards
Was this page helpful?
⌘I